MEMCACHED_VERSION(3)

NAME
memcached_version - libmemcached Documentation

SYNOPSIS

    #include <libmemcached/memcached.h>
        Compile and link with -lmemcached

    const char *memcached_lib_version(void)

        Returns
            version string of libmemcached

    memcached_return_t memcached_version(memcached_st *ptr)

        Parameters
            ptr -- pointer to initialized memcached_st struct

        Returns
            memcached_return_t indicating success

DESCRIPTION

memcached_lib_version() is used to return a simple version string representing the libmemcached version (client library, not server).

memcached_version() is used to set the major, minor, and micro versions of each memcached server being used by the memcached_st connection structure. It returns the memcached server return code.

RETURN VALUE

memcached_lib_version() returns a string with the version of the libmemcached driver.

A value of memcached_return_t is returned from :func:'memcached_version'

On success that value will be MEMCACHED_SUCCESS.

If called with the MEMCACHED_BEHAVIOR_USE_UDP behavior set, the value MEMCACHED_NOT_SUPPORTED will be returned.

Use memcached_strerror() to translate this value to a printable string.

SEE ALSO

memcached(1) libmemcached(3) memcached_strerror(3)